io.vertx.rxjava3.cassandra

## Class ResultSet

- java.lang.Object
- - io.vertx.rxjava3.cassandra.ResultSet

-     public class ResultSet
      extends Object

  It is like `AsyncResultSet`, but adapted for Vert.x.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ResultSet>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultSet(Object delegate)`
    `ResultSet(ResultSet delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Single<List<com.datastax.oss.driver.api.core.cql.Row>>` | `all()` The method should not be used concurrently with others like `fetchNextPage()` or .
    `Iterable<com.datastax.oss.driver.api.core.cql.Row>` | `currentPage()`
    `boolean` | `equals(Object o)`
    `Single<ResultSet>` | `fetchNextPage()` Like `fetchNextPage()` but with a direct callback.
    `com.datastax.oss.driver.api.core.cql.ColumnDefinitions` | `getColumnDefinitions()`
    `ResultSet` | `getDelegate()`
    `com.datastax.oss.driver.api.core.cql.ExecutionInfo` | `getExecutionInfo()`
    `int` | `hashCode()`
    `boolean` | `hasMorePages()`
    `static ResultSet` | `newInstance(ResultSet arg)`
    `com.datastax.oss.driver.api.core.cql.Row` | `one()`
    `int` | `remaining()`
    `Single<List<com.datastax.oss.driver.api.core.cql.Row>>` | `rxAll()` The method should not be used concurrently with others like `fetchNextPage()` or .
    `Single<ResultSet>` | `rxFetchNextPage()` Like `fetchNextPage()` but with a direct callback.
    `String` | `toString()`
    `boolean` | `wasApplied()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ResultSet> __TYPE_ARG

  - ### Constructor Detail

    - #### ResultSet

          public ResultSet(ResultSet delegate)

    - #### ResultSet

          public ResultSet(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ResultSet getDelegate()

    - #### remaining

          public int remaining()

      Returns:

    - #### hasMorePages

          public boolean hasMorePages()

      Returns:

    - #### fetchNextPage

          public Single<ResultSet> fetchNextPage()

      Like `fetchNextPage()` but with a direct callback.
      Returns:

    - #### rxFetchNextPage

          public Single<ResultSet> rxFetchNextPage()

      Like `fetchNextPage()` but with a direct callback.
      Returns:

    - #### wasApplied

          public boolean wasApplied()

      Returns:

    - #### all

          public Single<List<com.datastax.oss.driver.api.core.cql.Row>> all()

      The method should not be used concurrently with others like `fetchNextPage()` or . This may lead to unexpected result.
      Returns:

    - #### rxAll

          public Single<List<com.datastax.oss.driver.api.core.cql.Row>> rxAll()

      The method should not be used concurrently with others like `fetchNextPage()` or . This may lead to unexpected result.
      Returns:

    - #### getColumnDefinitions

          public com.datastax.oss.driver.api.core.cql.ColumnDefinitions getColumnDefinitions()

      Returns:

    - #### getExecutionInfo

          public com.datastax.oss.driver.api.core.cql.ExecutionInfo getExecutionInfo()

      Returns:

    - #### currentPage

          public Iterable<com.datastax.oss.driver.api.core.cql.Row> currentPage()

      Returns:

    - #### one

          public com.datastax.oss.driver.api.core.cql.Row one()

      Returns:

    - #### newInstance

          public static ResultSet newInstance(ResultSet arg)

Copyright © 2021 Eclipse. All rights reserved.